Subject: bug#45109: GNOME: unable to change alert "beep" sound since staging merge

From: Bengt Richter <[email-masked]>
Date: Tue, 8 Dec 2020 09:39:27 +0100

Hi Mark,

On +2020-12-07 18:36:10 -0500, Mark H Weaver wrote:
> Since the recent merge of the 'staging' branch into 'master' on 28 Nov
> 2020, I'm no longer able to configure the alert sound in GNOME.  That's
> a pity, since I find the default "drip" sound extremely unpleasant.
>
I find it annoying too -- thanks for nudging me to change it ;)

It looks like a brute force "fix" -- while waiting for a proper one --  would be
to substitute another ogg file for drip.ogg.
(or just switch the names on drip.ogg and sonar.ogg, if you don't want to fiddle further).

$ find /usr -iname '*drip*'
/usr/include/X11/dri/xf86driproto.h
/usr/share/sounds/gnome/default/alerts/drip.ogg
/usr/share/pkgconfig/xf86driproto.pc
/usr/lib/libreoffice/share/gallery/environment/DrippingFaucet.png

]$ file /usr/share/sounds/gnome/default/alerts/*
/usr/share/sounds/gnome/default/alerts/bark.ogg:  Ogg data, Vorbis audio, stereo, 48000 Hz, ~192000 bps, created by: Xiph.Org libVorbis I (1.2.0)
/usr/share/sounds/gnome/default/alerts/drip.ogg:  Ogg data, Vorbis audio, stereo, 44100 Hz, ~192000 bps, created by: Xiph.Org libVorbis I (1.2.0)
/usr/share/sounds/gnome/default/alerts/glass.ogg: Ogg data, Vorbis audio, stereo, 44100 Hz, ~192000 bps, created by: Xiph.Org libVorbis I (1.2.0)
/usr/share/sounds/gnome/default/alerts/sonar.ogg: Ogg data, Vorbis audio, stereo, 44100 Hz, ~192000 bps, created by: Xiph.Org libVorbis I (1.2.0)

> In more detail:
> 
> To configure the alert sound, I first open GNOME Settings by clicking on
> the gear icon in the pull-down menu on the right side of GNOME Shell's
> top bar.  From there, I navigate to the "Sound" section and scroll to
> the bottom of that section, where I'm given a choice of 4 options for
> the "Alert Sound".
>
To find where a change of alert sound is stored, a script of mine will
touch a file (~/.wha-time) for later use with find, to find files in a
directory tree modified (-c option) since ~/.wha-time).

So I did "wha -t" to do the touch, chose a new sound in settings, exited, and
then "wha -c ~/" resulted in the following (it echoes the find command just before doing it):

--8<---------------cut here---------------start------------->8---
find /home/bokr/ -cnewer /home/bokr/.wha-time -print0 | xargs -0 ls -ladc --time-style=+%Y-%m-%d %H:%M:%S
drwx------  2 bokr bokr   4096 2020-12-08 07:52:13 /home/bokr/.cache/babl
-rw-r--r--  1 bokr bokr    495 2020-12-08 07:52:13 /home/bokr/.cache/babl/babl-fishes
drwx------  2 bokr bokr   4096 2020-12-08 07:52:13 /home/bokr/.cache/libgweather
-rw-r--r--  1 bokr bokr    687 2020-12-08 07:52:13 /home/bokr/.cache/libgweather/soup.cache2
drwxr-xr-x  2 bokr bokr   4096 2020-12-08 07:52:15 /home/bokr/.config/dconf
-rw-r--r--  1 bokr bokr  33852 2020-12-08 07:52:15 /home/bokr/.config/dconf/user
drwx------ 32 bokr bokr   4096 2020-12-08 07:52:25 /home/bokr/.local/share
drwxr-x---  5 bokr bokr   4096 2020-12-08 07:52:12 /home/bokr/.local/share/epiphany
-rw-r--r--  1 bokr bokr    941 2020-12-08 07:52:12 /home/bokr/.local/share/epiphany/bookmarks.gvdb
-rw-r--r--  1 bokr bokr  32768 2020-12-08 07:52:15 /home/bokr/.local/share/gvfs-metadata/home-776cc71e.log
-rw-------  1 bokr bokr 115799 2020-12-08 07:52:25 /home/bokr/.local/share/recently-used.xbel
drwx------  2 bokr bokr   4096 2020-12-08 07:52:39 /home/bokr/.local/share/sounds/__custom
lrwxrwxrwx  1 bokr bokr     47 2020-12-08 07:52:39 /home/bokr/.local/share/sounds/__custom/bell-terminal.ogg -> /usr/share/sounds/gnome/default/alerts/bark.ogg
lrwxrwxrwx  1 bokr bokr     47 2020-12-08 07:52:39 /home/bokr/.local/share/sounds/__custom/bell-window-system.ogg -> /usr/share/sounds/gnome/default/alerts/bark.ogg
--8<---------------cut here---------------end--------------->8---

Apparently my selection of "bark" is stored as links in
    ~/.local/share/sounds/__custom/

Perhaps this is a change of preference persistence method that all parts of
your system have not gotten updated to?

> For as long as I can remember, and even today, this pane *does* remember
> my preferred Alert Sound (sonar), and correctly highlights it as my
> selected choice.  However, the default "drip" sound is the one that is
> actually used by applications, e.g. by GNOME Terminal and Emacs.
> 
> Note that even before the recent staging merge, periodically (maybe once
> a week or so), I would log in and find that the dreaded "drip" sound was
> being used as my alert sound.  Each time, I was able to fix it by going
> back to the Sound section of GNOME Settings, and clicking again on my
> preferred alert sound (although it was already selected as my configured
> alert sound).  Now, since the recent staging merge, that no longer
> works.
> 
> If anyone can suggest a way to successfully change my alert sound, I
> would be grateful.
> 
>        Mark

You could just make all 4 files dupes of sonar.ogg ;))

I am afraid that kind of "fix" becomes more and more tempting ;/

I still don't know what the proper fix for your observed prolem is, sorry.
But HTH :)

-- 
Regards,
Bengt Richter